% Connect ZCU111
t_data = tcpclient('192.168.1.3',8082);
t_cmd  = tcpclient('192.168.1.3',8081);

% Send Command
write(t_cmd,uint8(['SetLocalMemSample 0 0 0 1024' 13 10]));
pause(0.5);
char(read(t_cmd))

write(t_cmd,uint8(['LocalMemInfo 0' 13 10]));
pause(0.5);
char(read(t_cmd))

write(t_cmd,uint8(['LocalMemTrigger 0 0 1024 0x0001' 13 10]));
pause(0.5);
char(read(t_cmd))

% Read Signal
write(t_data,uint8(['ReadDataFromMemory 0 0 4096 1' 13 10]));
pause(0.5);
SampleData = read(t_data);

% Read Signal and Plot Ch1
[raw col] = size(SampleData);
NumSample = fix(col/4)-1

for n=1:NumSample*2
    
        SampleIQ(n) = typecast([SampleData((n-1)*2+1),SampleData((n-1)*2+2)],'int16');
   
end

for p=1:NumSample/8
     CH1(8*(p-1)+1:8*(p-1)+8)=SampleIQ(16*(p-1)+1:16*(p-1)+8);
end

figure(1);
plot(CH1);

% Disconnect
write(t_cmd,uint8(['disconnect' 13 10]))
delete(t_cmd);
delete(t_data);
clear;